Operations

Track the status of long-running asynchronous operations such as model imports, IFC exports, and quantity calculations.

GET https://api.qonic.com/v1/operations/:operationId

Get operation status

Retrieves the current status and result of a long-running operation such as model import, IFC export, or quantity calculation. Poll this endpoint to track the progress of asynchronous operations.

Path parameters

  • Name
    operationId
    Type
    string
    Required
    Required
    Description
    The unique identifier of the operation to check

Response fields

  • Name
    id
    Type
    string
    Required
    Optional
    Description
    Public identifier of the operation.
  • Name
    kind
    Type
    "ImportIfc" | "ExportIfc" | "CalculateQuantities" | "CalculateDerivedProperties"
    Required
    Optional
    Description
    The type of long-running operation.
  • Name
    status
    Type
    "Queued" | "InProgress" | "Ready" | "Failed"
    Required
    Optional
    Description
    Current status of a long-running operation.
  • Name
    percentageCompleted
    Type
    integer
    Required
    Optional
    Description
    Progress of the operation in percent from 0 to 100.

Error responses

  • Name
    401
    Type
    error
    Description
    Authentication required. Provide a valid Bearer token in the Authorization header.
  • Name
    403
    Type
    error
    Description
    Insufficient permissions for this operation
  • Name
    404
    Type
    error
    Description
    Not Found